Results 1 to 2 of 2

Thread: apt-get install -f would not work

  1. #1
    Join Date
    Sep 2013
    Beans
    2

    apt-get install -f would not work

    rafal@rafal-Satellite-L500:~$ sudo su
    [sudo] password for rafal:
    root@rafal-Satellite-L500:/home/rafal# apt-get -f install
    Czytanie list pakietów... Gotowe
    Budowanie drzewa zależności
    Odczyt informacji o stanie... Gotowe
    Naprawianie zależności... Gotowe
    Następujące pakiety zostały zainstalowane automatycznie i nie są już więcej wymagane:
    linux-headers-3.8.0-23 linux-headers-3.8.0-23-generic linux-headers-3.8.0-27
    linux-headers-3.8.0-27-generic linux-image-3.8.0-23-generic
    linux-image-3.8.0-27-generic linux-image-extra-3.8.0-23-generic
    linux-image-extra-3.8.0-27-generic tdb-tools
    Aby je usunąć należy użyć "apt-get autoremove".
    Zostaną zainstalowane następujące dodatkowe pakiety:
    linux-headers-3.8.0-30
    Zostaną zainstalowane następujące NOWE pakiety:
    linux-headers-3.8.0-30
    0 aktualizowanych, 1 nowo instalowanych, 0 usuwanych i 59 nieaktualizowanych.
    5 nie w pełni zainstalowanych lub usuniętych.
    Konieczne pobranie 0 B/12,2 MB archiwów.
    Po tej operacji zostanie dodatkowo użyte 60,1 MB miejsca na dysku.
    Kontynuować [T/n]? t
    (Odczytywanie bazy danych ... 661613 plików i katalogów obecnie zainstalowanych.)
    Rozpakowywanie pakietu linux-headers-3.8.0-30 (z .../linux-headers-3.8.0-30_3.8.0-30.44_all.deb) ...
    dpkg-deb (podproces): dekompresowanie członu archiwum: wewnętrzny błąd odczytu gzip: "<fd:4>: invalid code lengths set"
    dpkg-deb: błąd: podproces <dekompresja> zwrócił kod błędu 2
    dpkg: błąd przetwarzania /var/cache/apt/archives/linux-headers-3.8.0-30_3.8.0-30.44_all.deb (--unpack):
    podproces dpkg-deb --fsys-tarfile zwrócił kod błędu 2
    Wystąpiły błędy podczas przetwarzania:
    /var/cache/apt/archives/linux-headers-3.8.0-30_3.8.0-30.44_all.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    root@rafal-Satellite-L500:/home/rafal#

  2. #2
    Join Date
    Nov 2008
    Location
    BSAA Headquarters
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: apt-get install -f would not work

    try
    Code:
    sudo rm /var/cache/apt/archives/linux-headers-3.8.0-30_3.8.0-30.44_all.deb
    sudo apt-get clean
    sudo apt-get update
    sudo apt-get dist-upgrade
    If required, run
    Code:
    sudo apt-get -f install
    again

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •